@charset "UTF-8";
body {
  margin: 0;
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  line-height: 1.6em;
  width: 100%;
  font-size: 16px;
  background-color: #F5F5F7;
}

#map {
    height: 100vh;
    width: 100%;
}

.top-panel {
  position: absolute;
  left: 1.5rem;
  background: white;
  padding: 1rem;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 1000;
  display: flex;
  flex-direction: column;
  width: 20%;
  min-width: 305px;
  height: fit-content;
  pointer-events: auto;
}

.top-panel-legend {
  position: absolute;
  top: 650px;
  left: 1.5rem;
  background: white;
  padding: 1.5rem;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 1000;
  width: calc(20% - 1rem);
  height: fit-content;
  display: flex;
  min-width: calc(300px - 1rem);
  gap: 12%;
  pointer-events: auto;
}

.map-control-toggle {
  display: none;
}

.map-panel-main {
  margin-bottom: 1.5rem;
}

@media screen and (max-width: 1800px) {
  .top-panel-legend{
    flex-direction: column;
  }
}

@media screen and (max-width: 1000px), screen and (max-height: 1000px) {
  .top-panel {
    top: 1rem;
    left: 1rem;
    padding: 0.5rem;
  }

  .top-panel-legend {
    padding: 1rem;
    left: 1rem;
    top: 630px;
    font-size: 14px;
  }

  .organisation-info {
    left: 1rem !important;
  }

  .usecase-header, .usecase-button, .legend-item, .map-panel-input select{
    font-size: 14px !important;
  }

  .map-panel-radio {
    font-size: 16px !important;
  }
}

@media screen and (max-width: 800px) {
  
  .map-control-wrapper {
    top: 3.5rem !important;
    left: -340px;
    transform: translateX(-55%);
    transition: left 0.3s ease;
    z-index: 1000;
  }
  
  .map-control-toggle {
    position: absolute;
    top: 1rem;
    height: 1.2rem;
    width: 1.5rem;
    background: white;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    z-index: 1000;
    display: grid;
    align-items: center;
    justify-content: center;
    padding-inline: 0.3rem;
    padding-block: 0.1rem;
    cursor: pointer;
  }
  
  .map-control-toggle .line {
    display: flex;
    align-items: center;
    height: 2px;
    width: 19px;
    border-radius: 10px;
    background: #0e2431;
  }
  
  .map-control-toggle .line1 {
    transform-origin: 0% 0%;
    transition: transform 0.4s ease-in-out;
  }
  
  .map-control-toggle .line2 {
    transition: transform 0.2s ease-in-out;
  }
  
  .map-control-toggle .line3 {
    transform-origin: 0% 100%;
    transition: transform 0.4s ease-in-out;
  }
  
  .map-control-toggle.active .line1 {
    transform: rotate(45deg);
  }
  
  .map-control-toggle.active .line2 {
    transform: scaleY(0);
  }
  
  .map-control-toggle.active .line3 {
    transform: rotate(-45deg);
  }
  
  .map-control-wrapper.active {
    transform: translateX(0);
    left: 0;
    height: calc(100vh - 10.5rem);
    pointer-events: auto;
  }
}

.map-panel-input {
  display: flex;
  flex-direction: column;
  gap: 1.2rem
}

.map-panel-input select {
  display: block;
  padding-block: 8px;
  width: 100%;
  border: none;
  border-bottom: 2px solid #6d6d6d;
  background-color: transparent;
  outline: none;
  font-size: 16px;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
  cursor: pointer;
}

.map-panel-input select:focus {
  border-color: black;
  cursor: pointer;
}

.map-panel-input-2 {
  display: flex;
  gap: 1rem;
}

.map-panel-usecase {
  display: flex;
  flex-direction: column;
}

.usecase-button {
  border-bottom-right-radius: 32px !important;
  border-top-right-radius: 32px !important;
  border: none;
  letter-spacing: normal;
  font-family: "Roboto", sans-serif;
  background: white;
  font-size: 1rem;
  height: 52px;
  text-align: left;
  padding-inline: 1rem;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  gap: 1.2rem;
}

.usecase-button.active {
  background: #e5eefa;
  color: #1976d2 !important;
}

.map-panel-search-button {
  font-size: 12px;
  font-weight: 700;
  line-height: 16.41px;
  letter-spacing: 0.0089em;
  padding-inline: 1rem !important;
  height: 40px;
  border-radius: 4px;
  box-shadow: none;
  border: none;
  text-transform: uppercase;
  vertical-align: middle;
  background-color: #1976d2 !important;
  border-color: #1976d2 !important;
  color: white;
  cursor: pointer;
}

.usecase-header {
  text-transform: uppercase;
  margin-top: 1rem;
  padding-inline: 1rem;
  color: gray;
  font-weight: 400;
}

.error-message {
  font-size: 12px;
  position: absolute;
}

.destination-label {
  margin-top: 1.5rem;
}

.map-panel-radio {
  margin-top: 1.5rem;
  font-size: 18px;
  display: flex;
  gap: 25px;
}

.radio-button {
  -webkit-appearance: none;
  appearance: none;
  width: 13px;
  height: 13px;
  border: 1px solid black;
  border-radius: 50%;
}

.radio-button:before {
  content: '';
  display: block;
  width: 60%;
  height: 60%;
  margin: 20% auto;    
  border-radius: 50%;    
}

.radio-button:checked:before {
  background-color: black;
}

.select-label {
  font-size: 14px;
}

.usecase-icon {
  width: 20px;
  height: 20px;
}

.legend-header {
  text-transform: uppercase;
  color: gray;
  font-weight: 400;
}

.legend {
  height: 12px;
  width: 12px;
}

.legend-UNKNOWN {
  background-color: #80808090;
}

.legend-NO {
  background-color: #80D481;
}

.legend-YES {
  background-color: #FF2114;
}

.legend-row {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.legend-item {
  font-size: 16px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: white;
  margin: auto;
  padding: 3px;
  border: 1px solid #888;
  width: 900px;
  height: 90%;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

path.leaflet-interactive:focus {
  outline: none;
}

.language-selector {
  position: absolute;
  z-index: 1000;
  top: 1rem;
  right: 2rem;
  width: 10rem;
  border-radius: 0.25rem;
  height: 1.5rem;
  font-size: 16px;
  border: 0;
  background-color: white;
  cursor: pointer;
  box-shadow: inset 0 0 0.5px 1px hsla(0, 0%, 100%, 0.075), 0 0.9px 1.5px rgba(0, 0, 0, 0.03), 0 3.1px 5.5px rgba(0, 0, 0, 0.08), 0 14px 25px rgba(0, 0, 0, 0.12);
}

.close-button {
  display: flex;
  margin-left: auto;
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
  color: #333;
}

.organisation-info {
  position: absolute;
  bottom: 3rem;
  left: 1.5rem;
  background: white;
  padding: 0.5rem;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 200;
  display: flex;
  flex-direction: column;
  align-items: self-start;
  width: fit-content;
}

.article-header {
  color: white;
  padding: 2rem;
  background: #043366;
  background: linear-gradient(0deg, #023b71 0%, #257cd3 100%);
  overflow: hidden;
  border-radius: 8px;
  z-index: 10;
}

.page {
  text-align: left;
  margin: auto;
  width: 100%;
}

@media screen and (min-width: 60rem) {
  .page {
    width: 800px;
    margin: auto;
  }
}

.warning-page .page {
  margin-top: 2rem;
}

@media screen and (min-width: 600px) {
  .article-header {
    padding-right: 2rem;
    padding-left: 2rem;
  }
}

@media screen and (min-width: 1000px) {
  .article-header {
    padding-right: 3rem;
    padding-left: 3rem;
  }
}

@media (min-width: 600px) {
  .article-header {
    padding-top: 3rem;
    padding-bottom: 3rem;
  }
}

@media (max-width: 60rem) {
    .article-header {
        border-radius: 0;
    }
}

.language-selector-error {
  cursor: pointer;
  background-color: white;
  border: thin solid #e6e6e6;
  border-radius: 4px;
  display: inline-block;
  font: inherit;
  line-height: 1.3em;
  padding: 0.5em 3.5em 0.5em 1em;

  background-image:
    linear-gradient(45deg, transparent 50%, gray 50%),
    linear-gradient(135deg, gray 50%, transparent 50%),
    linear-gradient(to right, #ccc, #ccc);
  background-position:
    calc(100% - 20px) calc(1em + 0px),
    calc(100% - 15px) calc(1em + 0px),
    calc(100% - 2.5em) 0.5em;
  background-size:
    5px 5px,
    5px 5px,
    1px 1.5em;
  background-repeat: no-repeat;


  /* reset */

  margin: 0;      
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.language-selector-error:focus {
  background-image:
    linear-gradient(45deg, #006DD4 50%, transparent 50%),
    linear-gradient(135deg, transparent 50%, #006DD4 50%),
    linear-gradient(to right, #ccc, #ccc);
  background-position:
    calc(100% - 15px) 1em,
    calc(100% - 20px) 1em,
    calc(100% - 2.5em) 0.5em;
  background-size:
    5px 5px,
    5px 5px,
    1px 1.5em;
  background-repeat: no-repeat;
  border-color: #006DD4;
  outline: 0;
}


.language-selector-error:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}

@media screen and (max-width: 35rem) {
  .language-selector-error {
    background-position:
    calc(100% - 15px) 1em,
    calc(100% - 10px) 1em,
    calc(100% - 2.5em) 0.5em;    
  }
}

.map-control-wrapper {
  position: absolute;
  z-index: 1000;
  height: calc(100vh - 8rem);
  scrollbar-width: none;
  overflow-y: auto;
  width: 100%;
  top: 1.5rem;
  pointer-events: none;
}